Package com.independentsoft.office.spreadsheet.externalLinks

# Class ExternalCell

java.lang.Object
com.independentsoft.office.spreadsheet.externalLinks.ExternalCell

public class ExternalCell extends Object
The Class ExternalCell.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExternalCell()`
  Instantiates a new external cell.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExternalCell`
  `clone()`
  `int`
  `getMetadata()`
  Gets the metadata.
  `String`
  `getReference()`
  Gets the reference.
  `CellType`
  `getType()`
  Gets the type.
  `String`
  `getValue()`
  Gets the value.
  `void`
  `setMetadata​(int metadata)`
  Sets the metadata.
  `void`
  `setReference​(String reference)`
  Sets the reference.
  `void`
  `setType​(CellType type)`
  Sets the type.
  `void`
  `setValue​(String value)`
  Sets the value.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExternalCell

    public ExternalCell()
    Instantiates a new external cell.

- ## Method Details

  - ### clone

    public ExternalCell clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getValue

    public String getValue()
    Gets the value.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the value.
    Parameters:
      `value` - the new value

  - ### getReference

    public String getReference()
    Gets the reference.
    Returns:
      the reference

  - ### setReference

    public void setReference​(String reference)
    Sets the reference.
    Parameters:
      `reference` - the new reference

  - ### getType

    public CellType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(CellType type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getMetadata

    public int getMetadata()
    Gets the metadata.
    Returns:
      the metadata

  - ### setMetadata

    public void setMetadata​(int metadata)
    Sets the metadata.
    Parameters:
      `metadata` - the new metadata